Bug 1672833 - Review Request: python38 - Version 3.8 of the Python interpreter
Summary: Review Request: python38 - Version 3.8 of the Python interpreter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON38
TreeView+ depends on / blocked
 
Reported: 2019-02-06 01:41 UTC by Miro Hrončok
Modified: 2019-03-08 19:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-10 02:33:43 UTC
Type: ---
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Miro Hrončok 2019-02-06 01:41:45 UTC
Spec URL: https://churchyard.fedorapeople.org/SRPMS/python38.spec
SRPM URL: https://churchyard.fedorapeople.org/SRPMS/python38-3.8.0~a1-1.fc30.src.rpm

Description:
Python 3.8 package for developers.

This package exists to allow developers to test their code against a newer
version of Python. This is not a full Python stack and if you wish to run
your applications with Python 3.8, update your Fedora to a newer
version once Python 3.8 is stable.

Fedora Account System Username: churchayrd

Diff against python3: https://github.com/hroncok/python38-spec/pull/1

Koji builds:

  as is: https://koji.fedoraproject.org/koji/taskinfo?taskID=32550052
  wanna be python3 package: https://koji.fedoraproject.org/koji/taskinfo?taskID=32549702
  f29: https://koji.fedoraproject.org/koji/taskinfo?taskID=32550940

rpmlintrc file: https://github.com/hroncok/python38-spec/blob/python38/python38.rpmlintrc

this will get backported to that rpmlintrc file: https://src.fedoraproject.org/rpms/python3/pull-request/90

Comment 1 Zbigniew Jędrzejewski-Szmek 2019-02-06 15:47:08 UTC
Looks all good:
- package name is as expected
- license and version and everything else is inherited from the main package, so OK too
- paths look all OK, i.e. 3.8 appears in all paths
- builds and installs OK
- python38 works OK afaict

Comment 2 Miro Hrončok 2019-02-06 16:04:10 UTC
Thanks!

Comment 3 Gwyn Ciesla 2019-02-06 16:19:37 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python38

Comment 4 Fedora Update System 2019-02-07 20:19:32 UTC
python38-3.8.0~a1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9ac02909af

Comment 5 Fedora Update System 2019-02-10 02:33:43 UTC
python38-3.8.0~a1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.